﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;

namespace SASDesktop.Converters
{
    /// <summary>
    /// True превращает в "Значение заполнено", False в "Значение не заполнено"
    /// </summary>
    public class BooleanToFormFilled : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if ((bool)value == true)
            {
                return "Значение заполнено";
            }
            else
            {
                return "Значение не заполнено";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return DependencyProperty.UnsetValue;
        }
    }
}
