﻿using System;
using System.Collections.Generic;

namespace DataImport.Models
{
    public partial class Citizen
    {
        public Citizen()
        {
            Licenses = new HashSet<License>();
            TransportOwnerships = new HashSet<TransportOwnership>();
        }

        public int Id { get; set; }
        public string Surname { get; set; } = null!;
        public string Name { get; set; } = null!;
        public string? Patronymic { get; set; }
        public int? Job { get; set; }
        public string? Email { get; set; }
        public string? Phone { get; set; }
        public string PassSeries { get; set; } = null!;
        public string PassNumber { get; set; } = null!;
        public string? MailIndex { get; set; }
        public string? RegistrationAddress { get; set; }
        public int? Photo { get; set; }
        public string CurrentAddress { get; set; } = null!;
        public string? Comment { get; set; }
        public string? Discription { get; set; }

        public virtual Job? JobNavigation { get; set; }
        public virtual File? PhotoNavigation { get; set; }
        public virtual ICollection<License> Licenses { get; set; }
        public virtual ICollection<TransportOwnership> TransportOwnerships { get; set; }
    }
}
