﻿using System;
using System.Collections.Generic;

namespace DataImport.Models
{
    public partial class Color
    {
        public Color()
        {
            Transports = new HashSet<Transport>();
        }

        public int Id { get; set; }
        public string Hex { get; set; } = null!;
        public string NameRus { get; set; } = null!;
        public string DiscriptionRus { get; set; } = null!;
        public string NameEng { get; set; } = null!;
        public string DiscriptionEng { get; set; } = null!;
        public bool IsMetallic { get; set; }

        public virtual ICollection<Transport> Transports { get; set; }
    }
}
