﻿using System;
using System.Collections.Generic;

namespace DataImport.Models
{
    public partial class File
    {
        public File()
        {
            Citizens = new HashSet<Citizen>();
            TransportPhotos = new HashSet<TransportPhoto>();
        }

        public int Id { get; set; }
        public int? Extension { get; set; }
        public byte[] BinaryData { get; set; } = null!;
        public string Name { get; set; } = null!;

        public virtual Extension? ExtensionNavigation { get; set; }
        public virtual ICollection<Citizen> Citizens { get; set; }
        public virtual ICollection<TransportPhoto> TransportPhotos { get; set; }
    }
}
