﻿using System;
using System.Collections.Generic;

namespace DataImport.Models
{
    public partial class Region
    {
        public Region()
        {
            RegionCodes = new HashSet<RegionCode>();
            Transports = new HashSet<Transport>();
        }

        public int Id { get; set; }
        public string NameRus { get; set; } = null!;
        public string? NameEng { get; set; }
        public string Number { get; set; } = null!;
        public string? Okato { get; set; }
        public string? Iso31662 { get; set; }

        public virtual ICollection<RegionCode> RegionCodes { get; set; }
        public virtual ICollection<Transport> Transports { get; set; }
    }
}
