Требования Дополнения 2

Основные требования:
- Регистрация ТС
- Присваивание ТС владельцам
- Создание двух библиотек (ДОЛЖНЫ ИМЕТЬ ИМЕНА КАК В ЗАДАНИИ):
	- Библиотека "VIN":
		- Boolean CheckVIN(String Vin) - Проверка VIN (RegEx)
		- String GetVINCountry(String Vin) - Возврат страны, в которой было разработано ТС (Можно реализовать через запрос к БД)
		- Integer GetTransportYear(String Vin) - Возврат год выпуска ТС (Можно реализовать через запрос к БД)
	- Библиотека "Регистрационный знак транспортных средств":
		- Boolean CheckMark(String mark) - Проверят верность номерного знака (RegEx)
		- String GetNextMarkAfter(String mark) - Принимает знак (Латиница) и возвращает следующий номер в данной серии (Серия + 1?), 		или создает следующую серию
		- String GetNextMarkAfterInRange(String prevMark, String rangeStart, String rangeEnd) - Принимает номер (Латиница) и 			возвращает следующий номер в промежутке от rangeStart до rangeEnd (Обе границы включительно). Если неможет, тогда выводим 		"out of stock". (Проверяем всю базу и возвращаем первую доступную серию?)
		- Integer GetCombinationsCountInRange(String mark1, String mark2) - Принимает два номера (Латиница), и возвращает количество 		возможных номеров между ними (Включая обе границы). 
- Нужно будет обновить базу данных (Таблица Двигатель) включив новые столбцы (Номер двигателя, модель двигателя, год двигателя, мощность двигателя в кВт, мощьность двигателя в лошадиных силах, Максимальная нагрузка).

- В интерфейсе транспортного средства при регистрации ТС реализовать поиск по водителям (ФИО), и вывод даты рождения. Если нет совпадений, система должна предложить добавить введеного водителя (передовать введеные ФИО в окно создания водителя/гражданина) (Грубо говоря. Когда 1С предлогает выбор по ссылочному типу данных)
- При регистрации ТС надо автоматически проверять VIN
- При регистрации ТС, выбор цвета должен быть реализовать из существующих цветов через плитку палитры или ввода кода цвета (оба HEX и RGB), а также по названию через выпадающий список
- Возможность передачи ТС новому владельцу

- Каждое ТС должно иметь истории передач от владельца к владельцу, с датами, указанием предыдущих владельцов, указанием комментариев 
- Каждое ТС должно иметь возможность прикрепления нескольких фотографий с возможность переворота изображения (Я хз если они имеют ввиду переворот самого изображения (типа на 90 градусов или зеркалирование), или переключение на другие изображения где авто снято с другого ракурса)
- Функционал генерации номерного знака (Надо учитывать доступные знаки, а также регион. Использовать библеотеку созданную выше)