﻿using System;
using System.Collections.Generic;

namespace DataImport.Models
{
    public partial class Employee
    {
        public Employee()
        {
            LoginAttempts = new HashSet<LoginAttempt>();
            LoginBlocks = new HashSet<LoginBlock>();
        }

        public int Id { get; set; }
        public string Surname { get; set; } = null!;
        public string Name { get; set; } = null!;
        public string? Patronymic { get; set; }
        public int DivisionGibdd { get; set; }
        public int Role { get; set; }
        public string Login { get; set; } = null!;
        public string Password { get; set; } = null!;

        public virtual DivisionGibdd DivisionGibddNavigation { get; set; } = null!;
        public virtual Role RoleNavigation { get; set; } = null!;
        public virtual ICollection<LoginAttempt> LoginAttempts { get; set; }
        public virtual ICollection<LoginBlock> LoginBlocks { get; set; }
    }
}
