﻿using System;
using System.Collections.Generic;

namespace DataImport.Models
{
    public partial class Job
    {
        public Job()
        {
            Citizens = new HashSet<Citizen>();
        }

        public int Id { get; set; }
        public string Name { get; set; } = null!;
        public int Company { get; set; }

        public virtual Company CompanyNavigation { get; set; } = null!;
        public virtual ICollection<Citizen> Citizens { get; set; }
    }
}
