﻿using System;
using System.Collections.Generic;

namespace DataImport.Models
{
    public partial class License
    {
        public License()
        {
            LicenseCategories = new HashSet<LicenseCategory>();
        }

        public int Id { get; set; }
        public int Citizen { get; set; }
        public DateTime DateStart { get; set; }
        public DateTime DiateFinish { get; set; }
        public string Series { get; set; } = null!;
        public string Number { get; set; } = null!;

        public virtual Citizen CitizenNavigation { get; set; } = null!;
        public virtual ICollection<LicenseCategory> LicenseCategories { get; set; }
    }
}
